# .NET Core March 2017 Update for .NET Core 1.0 manifest

The following is a comprehensive manifest of packages released with March 2017 Update for .NET Core 1.0.

This new document is meant to provide the set of current supported package versions under the .NET Core umbrella. The format and contents will be refined as we receive feedback. There are a few purposes for the manifest.

- Communicate what has changed in an update at the package level.
- Provide a way to determine that an installation of .NET Core is in a supported state with respect to updates. The latest released patch level is required for support.

To see details on specific issues fixed, visit the [Core](https://github.com/dotnet/core/releases/tag/1.0.4) and [ASP](https://github.com/aspnet/home/releases/1.0.4) release pages.

## Meta-packages

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.NETCore.App                                               | 1.0.4*            |
| NETStandard.Library                                                 | 1.6.0             |

## CoreCLR

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.NETCore.JIT                                               | 1.0.6*            |
| Microsoft.NETCore.Runtime.CoreCLR                                   | 1.0.6*            |
| Microsoft.NETCore.DotNetHost                                        | 1.0.1             |
| Microsoft.NETCore.DotNetHostPolicy                                  | 1.0.3             |
| Microsoft.NETCore.DotNetHostResolver                                | 1.0.1             |
| Microsoft.NETCore.Platforms                                         | 1.0.2             |
| Microsoft.NETCore.Targets	                                          | 1.0.1             |
| Microsoft.NETCore.Windows.ApiSets	                                  | 1.0.1             |

## Microsoft.NETCore.App (1.0.4)

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                         | Package Version   |
| -------------------------------------------------------------------   | :---------------: |
| Microsoft.NETCore.App                                                 | 1.0.4*            |
| System.Linq.Expressions                                               | 4.1.1*            |
| System.Net.Http                                                       | 4.1.1             |
| Libuv                                                                 | 1.9.1             |
| Microsoft.CodeAnalysis.CSharp                                         | 1.3.0             |
| Microsoft.CodeAnalysis.VisualBasic                                    | 1.3.0             |
| Microsoft.CSharp                                                      | 4.0.1             |
| Microsoft.VisualBasic                                                 | 10.0.1            |
| NETStandard.Library                                                   | 1.6.0             |
| System.Buffers                                                        | 4.0.0             |
| System.Collections.Immutable                                          | 1.2.0             |
| System.ComponentModel                                                 | 4.0.1             |
| System.ComponentModel.Annotations                                     | 4.1.0             |
| System.Diagnostics.DiagnosticSource                                   | 4.0.0             |
| System.Diagnostics.Process                                            | 4.1.0             |
| System.Dynamic.Runtime                                                | 4.0.11            |
| System.Globalization.Extensions                                       | 4.0.1             |
| System.IO.FileSystem.Watcher                                          | 4.0.0             |
| System.IO.MemoryMappedFiles                                           | 4.0.0             |
| System.IO.UnmanagedMemoryStream                                       | 4.0.1             |
| System.Linq.Parallel                                                  | 4.0.1             |
| System.Linq.Queryable                                                 | 4.0.1             |
| System.Net.NameResolution                                             | 4.0.0             |
| System.Net.Requests                                                   | 4.0.11            |
| System.Net.Security                                                   | 4.0.0             |
| System.Net.WebHeaderCollection                                        | 4.0.1             |
| System.Numerics.Vectors                                               | 4.1.1             |
| System.Reflection.DispatchProxy                                       | 4.0.1             |
| System.Reflection.Metadata                                            | 1.3.0             |
| System.Reflection.TypeExtensions                                      | 4.1.0             |
| System.Resources.Reader                                               | 4.0.0             |
| System.Runtime.Loader                                                 | 4.0.0             |
| System.Security.Cryptography.Algorithms                               | 4.2.0             |
| System.Security.Cryptography.Encoding                                 | 4.0.0             |
| System.Security.Cryptography.Primitives                               | 4.0.0             |
| System.Security.Cryptography.X509Certificates                         | 4.1.0             |
| System.Threading.Tasks.Dataflow                                       | 4.6.0             |
| System.Threading.Tasks.Extensions                                     | 4.0.0             |
| System.Threading.Tasks.Parallel                                       | 4.0.1             |
| System.Threading.Thread                                               | 4.0.0             |
| System.Threading.ThreadPool                                           | 4.0.10            |

## WCF

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| System.Private.DataContractSerialization                            | 4.1.2*            |
| System.Runtime.Serialization.Json                                   | 4.0.3*            |
| System.Runtime.Serialization.Xml                                    | 4.1.2*            |
| System.ServiceModel.Duplex                                          | 4.0.1             |
| System.ServiceModel.Http                                            | 4.1.0             |
| System.ServiceModel.NetTcp                                          | 4.1.0             |
| System.ServiceModel.Primitives                                      | 4.1.0             |
| System.ServiceModel.Security                                        | 4.0.1             |
| System.Private.ServiceModel                                         | 4.1.0             |
