# .NET Core 2.2.2 Update - February 12, 2019

.NET Core 2.2.2 is available for [download](2.2.2-download.md) and usage in your environment. This release includes .NET Core 2.2.2, ASP.NET Core 2.2.2 and .NET Core SDK 2.2.104.

* [Blog Post][dotnet-blog]
* [Downloads](#downloads)
* [Changes in this release](#changes-in-222)
* [.NET Core Lifecycle News](#net-core-lifecycle-news)
* [Known Issues](../2.2-known-issues.md)

We've created an issue at [dotnet/core #2304](https://github.com/dotnet/core/issues/2304) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] <br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     | [See installations steps below][linux-install]   | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM32][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| RHEL6     | -                                                | [x64][dotnet-sdk-rhel.6-x64.tar.gz]                    | -                                                        | [x64][dotnet-runtime-rhel.6-x64.tar.gz] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |
| Symbols   | [CLI][cli-symbols.zip] \| [SDK][dotnet-sdk-symbols.zip]  | -                                        | [Runtime][coreclr-symbols.zip] \| [Shared Framework][corefx-symbols.zip] \| [Setup][core-setup-symbols.zip] | - | [ASP.NET Core][aspnet-symbols.zip] |

1. Includes the .NET Core and ASP.NET Core Runtimes
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Core runtime.

### Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

### Azure AppServices

* .NET Core 2.2.2 is being deployed to Azure App Services and the deployment is expected to complete in a couple of days.

## .NET Core Lifecycle News

There are no changes this month in OS version support status.

.NET Core 1.0 and 1.1, which entered "Maintenance" support status when 2.1 was declared LTS, will be end-of-life June 27, 2019. Updates for the 1.0 and 1.1 channels will no longer be offered after that date. See [.NET Core Support Policy](https://dotnet.microsoft.com/platform/support/policy/dotnet-core) to learn more about the .NET Core support lifecycle.

See [.NET Core Supported OS Lifecycle Policy](https://github.com/dotnet/core/blob/master/os-lifecycle-policy.md) to learn about Windows, macOS and Linux versions that are supported for each .NET Core release.

## Changes in 2.2.2

.NET Core 2.2.2 release carries both security and non-security fixes.

* [CVE-2019-0657: .NET Core Domain Spoofing Vulnerability](https://github.com/dotnet/announcements/issues/97)

    This update addresses a domain spoofing vulnerability in .NET Framework and .NET Core which causes the meaning of a URI to change when International Domain Name encoding is applied. An attacker who successfully exploited the vulnerability could redirect a URI.

    **Affected Package and Binary updates**

    Package name | Vulnerable versions | Secure versions
    ------------ | ------------------- | -------------------------
    Microsoft.NETCore.App (System.Private.Uri) | 2.2.0, 2.2.1 | 2.2.2

### Additional fixes in this release

* [CoreCLR](https://github.com/dotnet/coreclr/issues?utf8=%E2%9C%93&q=milestone%3A2.2.2+label%3Aservicing-approved)
* [ASPNET.Core](https://github.com/aspnet/AspNetCore/issues?utf8=%E2%9C%93&q=milestone%3A2.2.2+label%3Aservicing-approved)
* [EntityFrameworkCore](https://github.com/aspnet/EntityFrameworkCore/issues?utf8=%E2%9C%93&q=milestone%3A2.2.2+label%3Aservicing-approved)

## Packages updated in this release:

Package name | Version
:----------- | :------------------
dotnet-aspnet-codegenerator | 2.2.2
dotnet-ef | 2.2.2
microsoft.aspnetcore.all | 2.2.2
microsoft.aspnetcore.app | 2.2.2
microsoft.aspnetcore.authentication.google | 2.2.2
microsoft.aspnetcore.azureappservices.hostingstartup | 2.2.2
microsoft.aspnetcore.azureappservicesintegration | 2.2.2
microsoft.aspnetcore.http | 2.2.2
microsoft.aspnetcore.mvc.core | 2.2.2
microsoft.aspnetcore.routing | 2.2.2
microsoft.aspnetcore.server.iis | 2.2.2
microsoft.data.sqlite | 2.2.2
microsoft.data.sqlite.core | 2.2.2
microsoft.dotnet.web.client.itemtemplates | 2.2.2
microsoft.dotnet.web.itemtemplates | 2.2.2
microsoft.dotnet.web.projecttemplates.2.2 | 2.2.2
microsoft.dotnet.web.spa.projecttemplates | 2.2.2
microsoft.entityframeworkcore | 2.2.2
microsoft.entityframeworkcore.abstractions | 2.2.2
microsoft.entityframeworkcore.analyzers | 2.2.2
microsoft.entityframeworkcore.design | 2.2.2
microsoft.entityframeworkcore.inmemory | 2.2.2
microsoft.entityframeworkcore.proxies | 2.2.2
microsoft.entityframeworkcore.relational | 2.2.2
microsoft.entityframeworkcore.relational.specification.tests | 2.2.2
microsoft.entityframeworkcore.specification.tests | 2.2.2
microsoft.entityframeworkcore.sqlite | 2.2.2
microsoft.entityframeworkcore.sqlite.core | 2.2.2
microsoft.entityframeworkcore.sqlite.nettopologysuite | 2.2.2
microsoft.entityframeworkcore.sqlserver | 2.2.2
microsoft.entityframeworkcore.sqlserver.nettopologysuite | 2.2.2
microsoft.entityframeworkcore.tools | 2.2.2
microsoft.visualstudio.web.codegeneration | 2.2.2
microsoft.visualstudio.web.codegeneration.contracts | 2.2.2
microsoft.visualstudio.web.codegeneration.core | 2.2.2
microsoft.visualstudio.web.codegeneration.design | 2.2.2
microsoft.visualstudio.web.codegeneration.entityframeworkcore | 2.2.2
microsoft.visualstudio.web.codegeneration.templating | 2.2.2
microsoft.visualstudio.web.codegeneration.utils | 2.2.2
microsoft.visualstudio.web.codegenerators.mvc | 2.2.2
microsoft.netcore.app | 2.2.2
microsoft.netcore.dotnetapphost | 2.2.2
microsoft.netcore.dotnethost | 2.2.2
microsoft.netcore.dotnethostpolicy | 2.2.2
microsoft.netcore.dotnethostresolver | 2.2.2
runtime.linux-arm.microsoft.netcore.app | 2.2.2
runtime.linux-arm.microsoft.netcore.dotnetapphost | 2.2.2
runtime.linux-arm.microsoft.netcore.dotnethost | 2.2.2
runtime.linux-arm.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.linux-arm.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.linux-arm64.microsoft.netcore.app | 2.2.2
runtime.linux-arm64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.linux-arm64.microsoft.netcore.dotnethost | 2.2.2
runtime.linux-arm64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.linux-arm64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.linux-musl-x64.microsoft.netcore.app | 2.2.2
runtime.linux-musl-x64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.linux-musl-x64.microsoft.netcore.dotnethost | 2.2.2
runtime.linux-musl-x64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.linux-musl-x64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.linux-x64.microsoft.netcore.app | 2.2.2
runtime.linux-x64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.linux-x64.microsoft.netcore.dotnethost | 2.2.2
runtime.linux-x64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.linux-x64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.osx-x64.microsoft.netcore.app | 2.2.2
runtime.osx-x64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.osx-x64.microsoft.netcore.dotnethost | 2.2.2
runtime.osx-x64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.osx-x64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.rhel.6-x64.microsoft.netcore.app | 2.2.2
runtime.rhel.6-x64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.rhel.6-x64.microsoft.netcore.dotnethost | 2.2.2
runtime.rhel.6-x64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.rhel.6-x64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.win-arm.microsoft.netcore.app | 2.2.2
runtime.win-arm.microsoft.netcore.dotnetapphost | 2.2.2
runtime.win-arm.microsoft.netcore.dotnethost | 2.2.2
runtime.win-arm.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.win-arm.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.win-arm64.microsoft.netcore.app | 2.2.2
runtime.win-arm64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.win-arm64.microsoft.netcore.dotnethost | 2.2.2
runtime.win-arm64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.win-arm64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.win-x64.microsoft.netcore.app | 2.2.2
runtime.win-x64.microsoft.netcore.dotnetapphost | 2.2.2
runtime.win-x64.microsoft.netcore.dotnethost | 2.2.2
runtime.win-x64.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.win-x64.microsoft.netcore.dotnethostresolver | 2.2.2
runtime.win-x86.microsoft.netcore.app | 2.2.2
runtime.win-x86.microsoft.netcore.dotnetapphost | 2.2.2
runtime.win-x86.microsoft.netcore.dotnethost | 2.2.2
runtime.win-x86.microsoft.netcore.dotnethostpolicy | 2.2.2
runtime.win-x86.microsoft.netcore.dotnethostresolver | 2.2.2


[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/master/release-notes/2.2/2.2.2/2.2.2.md

[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a24ca9ae-7966-4a9e-9838-cc57d6639248/099c000dc8ee58702846702e9b010ad1/dotnet-runtime-2.2.2-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4f960c44-ae38-4510-95e9-0b686fcae16f/be50a7c893543038522f5943d920db01/dotnet-runtime-2.2.2-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/98adb3af-1ca9-4b49-a38e-d8cae73cc29f/c5b40b540d4d9cb539bf780620e93bdd/dotnet-runtime-2.2.2-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/97b97652-4f74-4866-b708-2e9b41064459/7c722daf1a80a89aa8c3dec9103c24fc/dotnet-runtime-2.2.2-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/eb9047cf-9d6f-472a-940e-05f018cdb29e/62c457d7f2ead9eccc099978f038c1f8/dotnet-runtime-2.2.2-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d1f0dfb3-b6bd-42ae-895f-f149bf1d90ca/9b1fb91a9692fc31d6fc83e97caba4cd/dotnet-runtime-2.2.2-osx-x64.tar.gz
[dotnet-runtime-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/99daced5-a333-49ea-901c-199e0e079549/a37386b7bab18307e67d1bb31377b37e/dotnet-runtime-2.2.2-rhel.6-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/8652967c-9b68-4ca7-85f3-686c62d286e9/50203b08e09795b976b632ccc910480b/dotnet-runtime-2.2.2-win-arm.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/04fedce4-d7ed-4bef-9151-95e3b02d12bc/1037ed3d387cfe9b712a5625fbac0eb9/dotnet-runtime-2.2.2-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/b10d0a68-b720-48ae-bab8-4ac39bd1b5d3/f32b8b41dff5c1488c2b915a007fc4a6/dotnet-runtime-2.2.2-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/9d7b48a7-74a0-4726-946f-2474b36ec335/ac9898e18e0835445d3c67724b569a54/dotnet-runtime-2.2.2-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/97b777ee-6b4e-4d26-9f73-6b33a99e0f67/93458d5a38d673757768eed2f6cec926/dotnet-runtime-2.2.2-win-x86.zip
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/5ca39d79-c65c-4c03-bba1-e904c7255c44/4fb100d62b0a3fff5fbf5dd24f761d71/aspnetcore-runtime-2.2.2-linux-arm.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/45c5f94c-d22b-4fd8-92f5-de27bbaa29d5/cc2edbae53dfcadeb8ef3fb3330dbc62/aspnetcore-runtime-2.2.2-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/168bba07-32dc-4612-ab01-7632d412c4cd/e1ecbf16d84e504c1d66d7a7573c9171/aspnetcore-runtime-2.2.2-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/95c2cb90-70eb-4074-ad66-3c431da57237/8b216ac960893705a1841491efce4262/aspnetcore-runtime-2.2.2-osx-x64.tar.gz
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/a0ae697b-a5e5-4898-ae34-ab6ded744d16/d99f9ab001a856d57312eba86665e8fe/aspnetcore-runtime-2.2.2-win-arm.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/7834344e-df7a-4c9f-a357-748f890fdf8b/e1e7b4f82272ace3ca2c8edff54277e7/aspnetcore-runtime-2.2.2-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/a61319fd-802b-4441-a4cc-84eb65468a04/2d2bb9011e1ee27af99deac554b0c055/aspnetcore-runtime-2.2.2-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/9a65d2a7-c22e-495c-af84-c2069b3c2597/6d9598a7bd8c214445d8932c7e366b46/aspnetcore-runtime-2.2.2-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/b054539a-0fad-4a32-84ab-1f4d7af89097/e58004d052383380a211839fa6bc7938/aspnetcore-runtime-2.2.2-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/5efd5ee8-4df6-4b99-9feb-87250f1cd09f/552f4b0b0340e447bab2f38331f833c5/dotnet-hosting-2.2.2-win.exe
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d9f37b73-df8d-4dfa-a905-b7648d3401d0/6312573ac13d7a8ddc16e4058f7d7dc5/dotnet-sdk-2.2.104-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2b201001-7074-476a-aa83-b5194c660a59/68233f3c3f16c97767a77216ec1f6e70/dotnet-sdk-2.2.104-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8e67400a-b129-4e0c-ae7a-eed7fd123cf6/9ebd9ad8e5fd9e2eaec1f7fbc66323b5/dotnet-sdk-2.2.104-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/69937b49-a877-4ced-81e6-286620b390ab/8ab938cf6f5e83b2221630354160ef21/dotnet-sdk-2.2.104-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/b06123e8-af2a-4196-acf9-39c3abd6cd6b/f12a2e3b64dc6574e9f530001d1e4a2a/dotnet-sdk-2.2.104-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/7b61ec42-34d4-443a-9472-10db3b600b00/331956fdc0884ec01aaa5aa44360fce2/dotnet-sdk-2.2.104-osx-x64.tar.gz
[dotnet-sdk-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2fa2eba9-29e5-4c15-b034-46962a258e85/b9d9a14a30153d67b48c44433c28da21/dotnet-sdk-2.2.104-rhel.6-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/7043511c-353c-48e3-bd3f-d21ce24bbfc1/06c192e23f050ff9df4b561dd8acc234/dotnet-sdk-2.2.104-win-arm.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/4a195fc9-7696-4c24-add2-e791b399766c/3a67d698a74505b46db9d9779745e47b/dotnet-sdk-2.2.104-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/e7a3e196-1b15-45d4-8a4a-2f940cf8c3be/975a1ec833505505adf5b867990d441a/dotnet-sdk-2.2.104-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/cd02d3e6-ecc0-432d-a1bc-e8c9d3d8148c/f628e6721d33d13afe450abec8750f64/dotnet-sdk-2.2.104-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/59e18010-8e57-4073-add2-d2b5cfbc5e58/8fa6831c7be0800889324640e29476f4/dotnet-sdk-2.2.104-win-x86.zip
[aspnet-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/1b7e7360-2e58-4a38-acf1-1e96aabd2f63/d0b0c78eead45a989eacfa19038b8ca7/aspnet-2.2.2-symbols.zip
[cli-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/2894a162-c8ac-4f32-8c6f-6289f5b09a4c/d9a072077e4c32ff47a5c4c7aaa51b76/cli-2.2.2-symbols.zip
[core-setup-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/996f56f9-a472-4c29-9eda-13e90d504630/448d08d3ad1123f49c828d4d5d08acf4/core-setup-2.2.2-symbols.zip
[coreclr-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/2f71d6d3-19aa-43fc-830a-2dea519619ea/1244e6b153434c8e3c27ee46860847db/coreclr-2.2.2-symbols.zip
[corefx-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/69ca7488-7a91-4f48-a9ea-8dc477e39eeb/9ba834f945f97b62ab217dc77f198931/corefx-2.2.2-symbols.zip
[dotnet-sdk-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/1c48180a-b844-414c-821d-3e10becdde74/bc5734b3a2229d97c32e405bf248a1ea/dotnet-sdk-2.2.2-symbols.zip

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.2-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.104-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux

[dotnet-blog]: https://blogs.msdn.microsoft.com/dotnet/2019/02/12/net-core-february-2019/
