# .NET Core 3.0.0 Preview 3 - March 06, 2019

.NET Core 3.0.0 Preview 3 is available for download and usage in your environment. This release includes .NET Core 3.0.0 Preview 3 and .NET Core SDK 3.0.100 Preview 3.

If Visual Studio is your preferred environment, you will need Visual Studio 2019 Preview 3 to take full advantage of the .NET Core 3.0 Preview.

* [Downloads](#downloads)
* [Changes in this release](#notable-changes-in-300-preview-3)
* [Known issues](3.0.0-preview-known-issues.md)

## Blog Round up

* [.NET][dotnet-blog]
* [ASP.NET Core](https://blogs.msdn.microsoft.com/webdev/)

The .NET Core SDK 3.0.100 Preview 3 includes .NET Core 3.0 Runtime so downloading the runtime packages separately is not needed when installing the SDK. After installing the .NET Core SDK 3.0.100 preview, the following command will show that you're running version `3.0.100-preview-010431` of the tools.

If you use Visual Studio for development work, Visual Studio 2019 is required.

`dotnet --version`

Your feedback is important and appreciated. We've created an issue at [dotnet/core #2389](https://github.com/dotnet/core/issues/2389) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \| [ARM][dotnet-sdk-win-arm.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [ARM][dotnet-runtime-win-arm.zip]  | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \| [ARM][aspnetcore-runtime-win-arm.zip] \|<br> Hosting Bundle<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     |  [Snap Install](3.0.0-preview3-download.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [ARM64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| RHEL6     | -                                                | [x64][dotnet-sdk-rhel.6-x64.tar.gz]                    | -                                                        | [x64][dotnet-runtime-rhel.6-x64.tar.gz] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |
| Symbols   | - | -                                        | [Runtime][coreclr-symbols.zip] \| [Shared Framework][corefx-symbols.zip] \| [Setup][core-setup-symbols.zip] | - | [ASP.NET Core][aspnet-symbols.zip] |

1. Includes the .NET Core and ASP.NET Core Runtimes
2. Note, the Hosting Bundle has an issue with the ASP.NET Core Module. If you would like to install the ASP.NET Core Module, please install the 3.0 Preview 2 [Hosting Bundle][dotnet-hosting-win.exe] and run the executable on a command line with the paramaters `OPT_NO_SHAREDFX=1 OPT_NO_RUNTIME=1`. Then install the appropriate .NET and ASP.NET runtimes.

## Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

## Notable Changes in 3.0.0 Preview 3

* ASP.NET Core 3.0 Preview 3 ([bugs](https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+label%3A%223+-+Done%22+label%3Abug+milestone%3A3.0.0-preview3), [features](https://github.com/aspnet/AspNetCore/issues?utf8=%E2%9C%93&q=is%3Aissue+label%3A%223+-+Done%22+label%3Aenhancement+milestone%3A3.0.0-preview3+))
* Entity Framework Core 3.0 Preview 3
* .NET Core SDK installers will now Upgrade in Place
* Container image availability in the Microsoft Container Registry (MCR)
* Docker and cgroup memory Limits
* Index and Range
* F# 4.6
* dotnet fsi preview
* .NET Standard 2.1
* Work continues on WinForms and WPF

The following are the specific changes made in Preview 3:

Added to `Index`:

```C#
public bool IsFromEnd { get; }
public Index(int value, bool fromEnd = false);
```

Removed from `Index`:

```C#
public Index(int value, bool fromEnd);
public bool FromEnd { get; }
```

Added to `Index`:

```C#
public static Index End { get; }
public static Index Start { get; }
public static Index FromEnd(int value);
public static Index FromStart(int value);
public int GetOffset(int length);
```

Added to `Range`:

```C#
public static Range All { get; }
public static Range StartAt(Index start);
public static Range EndAt(Index end);
```

Removed from `Range`:

```C#
public static Range All();
public static Range FromStart(Index start);
public static Range ToEnd(Index end);
```

Added to `Range`:

```C#
public Range(Index start, Index end);
public Range.OffsetAndLength GetOffsetAndLength(int length);
```

Added the following Range and Index APIs to various types:

```C#
public readonly struct Memory<T>
{
    public Memory<T> this[Range range] { get; }
    public Memory<T> Slice(Index startIndex);
    public Memory<T> Slice(Range range);
}
```

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/master/release-notes/3.0/preview/3.0.0-preview2.md

[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/61afd68a-0079-45a3-917a-b8cb679fdc43/d3b8792106bbcc4b790407365fd025ac/dotnet-runtime-3.0.0-preview3-27503-5-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/bc04d8b5-04b5-4e45-bfd0-83cef6c072f8/d5d45d8fe4c408822197e19c05a161df/dotnet-runtime-3.0.0-preview3-27503-5-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a4efc711-a888-46c8-945c-f9ecb76937de/ac431e6c98094bdfdf9fe60ccf42d600/dotnet-runtime-3.0.0-preview3-27503-5-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/01cf5a3b-24a5-4de1-8a25-9b57583bd737/f27582e4520e14b7e9ab3f7f239e1e3c/dotnet-runtime-3.0.0-preview3-27503-5-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/87199dc9-d292-44c9-9e60-e0b31bd436a8/e623908b4fb283b793af3f5e3c6f26b0/dotnet-runtime-3.0.0-preview3-27503-5-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4af9752c-5280-4594-a64d-f352ca5eb6bf/144f1f651ea56bd42eb124e9193531ad/dotnet-runtime-3.0.0-preview3-27503-5-osx-x64.tar.gz
[dotnet-runtime-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8135bece-27b9-4d27-8650-6ad3fc1f0cae/f76e65b5203d5e7e29bcd5d7bc8cea7f/dotnet-runtime-3.0.0-preview3-27503-5-rhel.6-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/5619c594-6f93-4c80-8a1e-b5506586b45d/1ebb33a2cd2df201bcbc22a2c4b58d42/dotnet-runtime-3.0.0-preview3-27503-5-win-arm.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/3f05ee2d-5372-43d6-9562-be86632a53d4/1361281426efa7ff206289adb0411f55/dotnet-runtime-3.0.0-preview3-27503-5-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/4fc551ff-0fbc-45ae-b35f-a8666ff1986f/0a6f2d0cf10379b47f6d55be5c31b95b/dotnet-runtime-3.0.0-preview3-27503-5-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/52241a9e-38c6-4c31-a5ad-47d668a4bd92/69f8b2bb100e1f8a4df023d9998dd9db/dotnet-runtime-3.0.0-preview3-27503-5-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/7faa8235-56f2-4d50-a303-2510d58d498f/1faaefee406ce2a229a7afe340b378de/dotnet-runtime-3.0.0-preview3-27503-5-win-x86.zip

[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/44c55f6b-2c22-4823-8e42-2a1140b4cf1f/f901b96aae5b4fcedc4d43235c1db5df/aspnetcore-runtime-3.0.0-preview3-19153-02-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d5838f73-108c-4b76-ade8-c53bcbdba5e1/827a390e239b74c97f2295cdfa281031/aspnetcore-runtime-3.0.0-preview3-19153-02-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/af4b8486-585b-42c0-b6a6-3723f9e5fbce/1906bae4f0da82eb5b922bad4d1f1e11/aspnetcore-runtime-3.0.0-preview3-19153-02-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4ddc5034-7154-4614-a1ec-7bae47977be7/4c78edf3c60b073805a8483086676934/aspnetcore-runtime-3.0.0-preview3-19153-02-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ad88ebb0-0938-4655-b46d-2ba9174a15bc/69115f4dde714fb55ec46f78bc386d13/aspnetcore-runtime-3.0.0-preview3-19153-02-osx-x64.tar.gz
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/40d4f666-aebc-4f3e-aad9-1a2645eadf30/cdab78650de7a79d335fa94e61af99c1/aspnetcore-runtime-3.0.0-preview3-19153-02-win-arm.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/b6fcffcd-c92c-40b4-90e0-6fd20ebdd1b4/e85f36c4d41694d7d4f84e55ddff27b6/aspnetcore-runtime-3.0.0-preview3-19153-02-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/ea523a80-4499-4c9a-acc1-ed6a6fd939d8/728ab0ab36b5015bdce777400bd74d21/aspnetcore-runtime-3.0.0-preview3-19153-02-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/ed6fd9b1-95fa-4cd6-a2c0-38c19a02b782/1f286f9539c0452dc7431bd5ad8a3881/aspnetcore-runtime-3.0.0-preview3-19153-02-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/9aa32bd5-1a85-485f-9408-92f61a81187d/2a34986ff5df46ab6de09ab9bdeed639/aspnetcore-runtime-3.0.0-preview3-19153-02-win-x86.zip

[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a605bd83-8d5a-4418-a851-9e1cfe822c62/944297058797e542601b3e3a89078fca/dotnet-sdk-3.0.100-preview3-010431-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4cd1c5c5-21c4-4d2b-bd8c-ab02e3f7e86f/08d30a68dc1e389f985186046036144a/dotnet-sdk-3.0.100-preview3-010431-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c34e7ec0-8c65-49da-80f9-9c4db47b6137/185f80fd6e7399ebdb5da80fd1060fce/dotnet-sdk-3.0.100-preview3-010431-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/35c9c95a-535e-4f00-ace0-4e1686e33c6e/b9787e68747a7e8a2cf8cc530f4b2f88/dotnet-sdk-3.0.100-preview3-010431-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/5f0daf69-7f98-4fa1-96a3-e76b4968b20d/58416a5d79bb578456beb80725c88bd7/dotnet-sdk-3.0.100-preview3-010431-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b143a92e-d578-4cc8-98e9-643d21db2449/2d16596ab2eeae83e88cbd7371356687/dotnet-sdk-3.0.100-preview3-010431-osx-x64.tar.gz
[dotnet-sdk-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2687d2b6-eb1c-4b1a-aff8-356b9d6fe6e9/2192cc335be6ec1f288c4d55adbd2203/dotnet-sdk-3.0.100-preview3-010431-rhel.6-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/84b3bb33-b86e-4023-b22f-8d34090f4294/9cdc7403c62688b50851a4610b70a03a/dotnet-sdk-3.0.100-preview3-010431-win-arm.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/31b5b67f-b787-4f73-a728-5ec61f10a4de/be6430bcd9a62f610cd9f12f8cc2c736/dotnet-sdk-3.0.100-preview3-010431-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/14417e56-3f88-486d-8065-ef802653699b/30cfec0c5c4af7993e7ce83670fb279b/dotnet-sdk-3.0.100-preview3-010431-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/012515a0-f0e4-43a1-87b4-23583adbead9/7002292a3866ea3262099a3de99fb9d0/dotnet-sdk-3.0.100-preview3-010431-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/6cb97702-11c3-4539-a096-000761a4ea5e/24ff3e39d069f895c026f2f90f3d7d02/dotnet-sdk-3.0.100-preview3-010431-win-x86.zip

[aspnet-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/361b2318-a494-48f2-9af3-9799a51da164/4e8548d354b6cbf6435f3291226c78e7/aspnet-3.0.0-preview3-symbols.zip
[core-setup-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/5afd460b-2dfd-433e-a00b-be06d7ee1912/cdbdda4e5d7048d64d55555c4ee0905c/core-setup-3.0.0-preview3-symbols.zip
[coreclr-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/b696eb22-1be3-43c8-abf0-8d9d11398961/1098113b86572161451a56c934f60080/coreclr-3.0.0-preview3-symbols.zip
[corefx-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/b658336a-b844-47c9-8739-afdb64883cbf/ad090ed416cf7b5959259461defbb021/corefx-3.0.0-preview3-symbols.zip
[dotnet-trusted-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/80c1ee91-4281-4f37-9d87-9fbdc5fa63a5/9b995f857ff52f79fe40b1e8261fea9b/dotnet-trusted-3.0.0-preview3-symbols.zip

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.0-preview3-27503-5-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.100-preview3-010431-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/master/Documentation/linux-setup.md

[dotnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-net-core-3-preview-3/
