# System.Runtime.Intrinsics

``` diff
 namespace System.Runtime.Intrinsics {
     public static class Vector128 {
+        public static Vector128<Single> AsVector128(this Vector2 value);
+        public static Vector128<Single> AsVector128(this Vector3 value);
+        public static Vector128<Single> AsVector128(this Vector4 value);
+        public static Vector128<T> AsVector128<T>(this Vector<T> value) where T : struct;
+        public static Vector2 AsVector2(this Vector128<Single> value);
+        public static Vector3 AsVector3(this Vector128<Single> value);
+        public static Vector4 AsVector4(this Vector128<Single> value);
+        public static Vector<T> AsVector<T>(this Vector128<T> value) where T : struct;
     }
     public readonly struct Vector128<T> : IEquatable<Vector128<T>> where T : struct {
+        public static Vector128<T> AllBitsSet { get; }
     }
     public static class Vector256 {
+        public static Vector256<T> AsVector256<T>(this Vector<T> value) where T : struct;
+        public static Vector<T> AsVector<T>(this Vector256<T> value) where T : struct;
     }
     public readonly struct Vector256<T> : IEquatable<Vector256<T>> where T : struct {
+        public static Vector256<T> AllBitsSet { get; }
     }
     public static class Vector64 {
+        public static Vector64<Double> CreateScalar(double value);
+        public static Vector64<Int64> CreateScalar(long value);
+        public static Vector64<UInt64> CreateScalar(ulong value);
     }
     public readonly struct Vector64<T> : IEquatable<Vector64<T>> where T : struct {
+        public static Vector64<T> AllBitsSet { get; }
     }
 }
```

