# .NET 5.0.0 Preview 4 - May 19, 2020

.NET 5.0.0 Preview 4 is available for download and usage in your environment. This release includes .NET 5.0.0 Preview 4 and .NET SDK 5.0.100 Preview 4.

* [Downloads](https://dotnet.microsoft.com/download/dotnet/5.0)
* [.NET 5.0 Preview 4 Blog][dotnet-blog]
* [ASP.NET Core Blog][aspnet-blog]
* [EF Core Blog][ef-blog]
* [Changes in this release](#notable-changes-in-500-preview-4)
* [Known issues](../5.0-known-issues.md)
* [Visual Studio Compatibility](#visual-studio-compatibility)

The .NET SDK 5.0.100 Preview 4 includes .NET 5.0.0 preview Runtime so downloading the runtime packages separately is not needed when installing the SDK. After installing the .NET SDK 5.0.100 preview, the following command will show that you're running version `5.0.100-preview.4.20258.7` of the tools.

`dotnet --version`

Your feedback is important and appreciated. We've created an issue at [dotnet/core #4706](https://github.com/dotnet/core/issues/4706) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \| [ARM][dotnet-sdk-win-arm.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [ARM][dotnet-runtime-win-arm.zip]  | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \| [ARM][aspnetcore-runtime-win-arm.zip] \|<br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     | [Snap and Package Manager](5.0.0-preview.4-install-instructions.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [ARM64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |

1. Includes the .NET Runtime and ASP.NET Core Runtime
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Runtime.

## Visual Studio Compatibility

**Visual Studio compatibility:** .NET 5 Preview 4 requires Visual Studio 2019 16.6 to take full advantage of all its features. .NET 5 Preview 4 won't work properly in earlier versions of Visual Studio. Visit [Visual Studio Preview](https://visualstudio.microsoft.com/vs/preview/) to learn about VS previews.

## Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

## Notable Changes in 5.0.0 Preview 4

Here is list of some of the additions and updates we're excited to bring in Preview 4. See the [.NET][dotnet-blog] and [ASP.NET Core][aspnet-blog] blogs for additional details.

* Runtime: [bugs][runtime_bugs] | [features][runtime_features]
* ASP.NET Core: [bugs][aspnet_bugs] | [features][aspnet_features]
* EntityFramework Core: [bugs][ef_bugs] | [features][ef_features]
* .NET SDK [bugs][sdk_bugs]

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/master/release-notes/5.0/preview/5.0.0-preview.4.md

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/5.0.0-preview.4-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/5.0.0-preview.4-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/master/Documentation/linux-setup.md

[dotnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-net-5-preview-4-and-our-journey-to-one-net/
[aspnet-blog]: https://devblogs.microsoft.com/aspnet/asp-net-core-updates-in-net-5-preview-4/
[ef-blog]: https://devblogs.microsoft.com/dotnet/announcing-entity-framework-core-5-0-preview-4/
[ef_bugs]: https://github.com/dotnet/efcore/issues?q=is%3Aissue+milestone%3A5.0.0-preview4+is%3Aclosed+label%3Atype-bug+is%3Aclosed
[ef_features]: https://github.com/dotnet/efcore/issues?q=is%3Aissue+milestone%3A5.0.0-preview4+is%3Aclosed+label%3Atype-enhancement+is%3Aclosed

[aspnet_bugs]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A5.0.0-preview4+label%3ADone+label%3Abug+is%3Aclosed
[aspnet_features]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A5.0.0-preview4+label%3ADone+label%3Aenhancement+is%3Aclosed
[runtime_bugs]: https://github.com/dotnet/runtime/issues?utf8=%E2%9C%93&q=is%3Aissue+milestone%3A5.0+label%3Abug+is%3Aclosed
[runtime_features]: https://github.com/dotnet/runtime/issues?q=is%3Aissue+milestone%3A5.0+label%3Aenhancement+is%3Aclosed

[sdk_bugs]: https://github.com/dotnet/sdk/issues?q=is%3Aissue+is%3Aclosed+milestone%3A5.0.1xx+is%3Aclosed



[//]: # ( Runtime 5.0.0-preview.4.20251.6)
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/fecfc81f-44c7-41f0-a158-894ca434876c/28cba3884db133373305a03a48f01eeb/dotnet-runtime-5.0.0-preview.4.20251.6-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d122c932-67f1-4358-9bdb-64cce009ee27/0a46b82fcb16e952491385149896ccda/dotnet-runtime-5.0.0-preview.4.20251.6-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/88c44f96-64fc-47d5-9ff4-58a9cb391887/0f9439c08d08d4e55dd8bb33d7a88c55/dotnet-runtime-5.0.0-preview.4.20251.6-linux-musl-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/5da9bee6-e4cc-40a9-9d00-b7b768912a6b/8ca8d545d1e702a984b1f92b44351f05/dotnet-runtime-5.0.0-preview.4.20251.6-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8be8a5dc-f552-4a64-a55e-d112ab2b0083/7eb1023a4c6937968c5bbfbb05784bb5/dotnet-runtime-5.0.0-preview.4.20251.6-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/25a7898d-1bb3-4472-bae9-ed24c8b4124a/dedf9dbb6d310ac5a9616d7b67fc77d0/dotnet-runtime-5.0.0-preview.4.20251.6-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c522d0fd-ab05-4b4c-9c06-2974973a7796/f202496a9c3b2e160c4b46944f90fb39/dotnet-runtime-5.0.0-preview.4.20251.6-osx-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/78838732-9280-48a6-9af4-b8122fec9dc5/23c65e624d3cb1923b8d4cde9efd909d/dotnet-runtime-5.0.0-preview.4.20251.6-win-arm.zip
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/5357cbc2-260c-486b-813b-08718fdcead4/cf3f79f8f5ac8b4b70d87b17e5917b62/dotnet-runtime-5.0.0-preview.4.20251.6-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/9a9e23ff-e724-4a85-be65-f3e99ebc6ead/24eb14ba173f807b12e3144dbb519931/dotnet-runtime-5.0.0-preview.4.20251.6-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/00e54b94-7eb4-44b6-84bf-405e8fc63fa2/4f0ee4bd09cad478c12e0ec418dc9f30/dotnet-runtime-5.0.0-preview.4.20251.6-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/702a4f3d-3dd6-4a56-94e8-54559f981535/1b79a497066c5c539c5876dc48a280a4/dotnet-runtime-5.0.0-preview.4.20251.6-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/f2a5e1f9-34c9-497a-8606-1bbf12d54ab3/5b520a8b1def8271a89d2215bf643692/dotnet-runtime-5.0.0-preview.4.20251.6-win-x86.zip

[//]: # ( WindowsDesktop 5.0.0-preview.4.20251.1)
[windowsdesktop-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/ebbde6b8-a9a7-4cf2-ae76-b2c787948382/7a32a40e86e714ac3cab6c777b6b6bfa/windowsdesktop-runtime-5.0.0-preview.4.20251.1-win-x64.exe
[windowsdesktop-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/62345c12-033d-4103-ae89-df63514bbee8/b2a4bd7488c12b028fab7e1afadd8ae6/windowsdesktop-runtime-5.0.0-preview.4.20251.1-win-x86.exe

[//]: # ( ASP 5.0.0-preview.4.20257.10)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/44b81693-0122-4498-8a28-d983173862f6/b453ffd36c5410c581b7f6611d87f1a8/aspnetcore-runtime-5.0.0-preview.4.20257.10-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a64a611d-ed13-40e1-a8cc-f7daa3658c0c/58dd8187655361a6f05a798c25321c40/aspnetcore-runtime-5.0.0-preview.4.20257.10-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a753d870-1c08-4896-ae66-eae3566f8e8d/cfc75453b94397533b0089bc6e63e7f5/aspnetcore-runtime-5.0.0-preview.4.20257.10-linux-musl-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/05d52928-7267-44d6-8f9e-f406a0cd76b5/a90fff112297ead1a6801d30945adbab/aspnetcore-runtime-5.0.0-preview.4.20257.10-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/43b35634-52d0-4c7b-a87a-a709397e88cc/ba7e419c0adba58aa249e818e5c9dc90/aspnetcore-runtime-5.0.0-preview.4.20257.10-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d5e0ebfc-70f0-433e-bd24-e5041b7f1ef6/6ccedc8a001967cd643bc79013357f57/aspnetcore-runtime-5.0.0-preview.4.20257.10-osx-x64.tar.gz
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/8e5a61bb-2876-4d35-8bda-62b92f9911b1/973720aa0044af2d4507df3ad37e6b60/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-arm.zip
[aspnetcore-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/4264fdc0-8a7c-4106-9755-8d37d80f502c/63d504db620cd095d69d0b05231766f3/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-arm64.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/b471f996-cc2c-4d21-8a9e-d2d308c964d6/80e04c11d6c26ca9e06763e93686b8a8/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/d0dee1e2-650f-49f9-9c11-05711913eff4/639c43205bd858f8ef297d8cda6e9b42/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/2f677755-3ed1-4545-9a39-5bd3207c0e48/c8f1212b509b4e83944a03bcfa23d15d/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/a3cfd250-c211-481d-9871-df7b9dfa769a/d09ce5d0295d467f368d8b6b0e2474a5/aspnetcore-runtime-5.0.0-preview.4.20257.10-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/55d3864f-c0d9-4a7e-91c4-1e5cba1735c1/4a5ec8eb28c680c8faf22fe25fb77e06/dotnet-hosting-5.0.0-preview.4.20257.10-win.exe

[//]: # ( SDK 5.0.100-preview.4.20258.7 )
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/76bea762-22d3-4ce8-a3cf-64276d4b9aca/74a7bed0b9e67a11cf025115c52506ca/dotnet-sdk-5.0.100-preview.4.20258.7-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/adb3ed49-26af-40a2-8df3-1460b178e55e/01187433dc24decf562d90d4bb2ce058/dotnet-sdk-5.0.100-preview.4.20258.7-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/02c5780b-df7c-4b37-a936-10d5d91259f1/7222fd36139fc536e795f7341fb0700b/dotnet-sdk-5.0.100-preview.4.20258.7-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/473651e3-55d5-4e7c-b255-2cbe11358eea/6b6f33d86ee00720b36a7c34200f4d0c/dotnet-sdk-5.0.100-preview.4.20258.7-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/6d724fad-a67b-4fed-8152-f6f98aff6d63/fdf36e0be9ca9a92af106e27f1f9547e/dotnet-sdk-5.0.100-preview.4.20258.7-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d7a77b5b-4592-46ae-8f1e-9e84b5bbc001/30f37207e7e149cbd01cd0ac33086b41/dotnet-sdk-5.0.100-preview.4.20258.7-osx-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/e80d700f-3910-45e2-9414-320eefa54efa/10b76fbfe00159ad8b4ea81b42daaa5b/dotnet-sdk-5.0.100-preview.4.20258.7-win-arm.zip
[dotnet-sdk-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/52fdaa14-c08b-407f-bc7c-091af11f243d/7f40461579aa105e47a19c7745287847/dotnet-sdk-5.0.100-preview.4.20258.7-win-arm64.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/40dff314-f6c2-4aeb-bfc7-7f89fc8d2b61/79b23dcc8727ab76b7df8872968475fe/dotnet-sdk-5.0.100-preview.4.20258.7-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/22e64aea-4ee4-4c98-b913-303a04b89103/adc3fa5461c11e387aa07ab32f513fd9/dotnet-sdk-5.0.100-preview.4.20258.7-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/2b51d5f6-c84d-40c3-bdd1-518012126a14/b48309f76e99b94c98d3a7b84a851013/dotnet-sdk-5.0.100-preview.4.20258.7-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/7255fb86-edeb-4ce2-b1fc-aae124e22d76/bb5b9b8103346ddf78b9a4c17c006b80/dotnet-sdk-5.0.100-preview.4.20258.7-win-x86.zip

[//]: # ( Symbols )
