
# .NET Releases

The .NET team releases new major versions of .NET annually, each November. Releases are either Long Term Support (LTS) or Current, the two .NET release types, and transition from full support, to maintenance and finally to end-of-life on a defined schedule, per [.NET release policies](release-policies.md). .NET releases are [supported by Microsoft](microsoft-support.md) on [multiple operating systems](os-lifecycle-policy.md) and hardware architectures.

The following table lists in-support .NET releases.

|  Version  |  Original Release Date | Support Level | Supported Patch Version | End of Support |
| :-- | :-- | :-- | :-- | :-- |
| [.NET 5.0](https://dotnet.microsoft.com/download/dotnet-core/5.0) | [November 10, 2020](https://devblogs.microsoft.com/dotnet/announcing-net-5-0/) | Current | [5.0.2](release-notes/5.0/README.md) | February, 2022 |
| [.NET Core 3.1](https://dotnet.microsoft.com/download/dotnet-core/3.1) | [December 3, 2019](https://devblogs.microsoft.com/dotnet/announcing-net-core-3-1/) | LTS | [3.1.11](release-notes/3.1/README.md) | December 3, 2022 |
| [.NET Core 2.1](https://dotnet.microsoft.com/download/dotnet-core/2.1) | [May 30, 2018](https://devblogs.microsoft.com/dotnet/announcing-net-core-2-1/) | LTS | [2.1.24](release-notes/2.1/README.md) | August 21, 2021 |

The following table lists out-of-support releases.

|  Version  |  Release Date | Support Level | Final Patch Version | End of Support |
| :-- | :-- | :-- | :-- | :-- |
| [.NET Core 3.0](https://dotnet.microsoft.com/download/dotnet-core/3.0) | [September 23, 2019](https://devblogs.microsoft.com/dotnet/announcing-net-core-3-0/) | Current | [3.0.3](release-notes/3.0/README.md) | [March 3, 2020](https://devblogs.microsoft.com/dotnet/net-core-3-0-end-of-life/) |
| [.NET Core 2.2](https://dotnet.microsoft.com/download/dotnet-core/2.2) | [December 4th, 2018](https://devblogs.microsoft.com/dotnet/announcing-net-core-2-2/) | Current | [2.2.8](release-notes/2.2/README.md) | [December 23, 2019](https://devblogs.microsoft.com/dotnet/net-core-2-2-will-reach-end-of-life-on-december-23-2019/) |
| [.NET Core 2.0](https://dotnet.microsoft.com/download/dotnet-core/2.0) | [August 14th, 2017](https://blogs.msdn.microsoft.com/dotnet/2017/08/14/announcing-net-core-2-0/) | Current | [2.0.9](release-notes/2.0/README.md) | [October 1, 2018](https://devblogs.microsoft.com/dotnet/net-core-2-0-will-reach-end-of-life-on-september-1-2018/) |
| [.NET Core 1.1](https://dotnet.microsoft.com/download/dotnet-core/1.1) | [November 16th, 2016](https://devblogs.microsoft.com/dotnet/announcing-net-core-1-1/) | LTS | [1.1.13](release-notes/1.1/README.md) | [June 27, 2019](https://devblogs.microsoft.com/dotnet/net-core-1-0-and-1-1-will-reach-end-of-life-on-june-27-2019/) |
| [.NET Core 1.0](https://dotnet.microsoft.com/download/dotnet-core/1.0) | [June 27th, 2016](https://devblogs.microsoft.com/dotnet/announcing-net-core-1-0/) | LTS | [1.1.16](release-notes/1.0/README.md) | [June 27, 2019](https://devblogs.microsoft.com/dotnet/net-core-1-0-and-1-1-will-reach-end-of-life-on-june-27-2019/) |
